stages:
    - test
    - build
    - development
    - staging
    - production

testing:
    stage: test
    script:
        - echo "TEST STAGE"
    only:
        - development
        - staging

build-image:
    stage: build
    script:
        - echo "BUILDING IMAGE"
    only:
        - development
        - staging

deploy-development:
    stage: development
    script:
        - echo "DEPLOYING TO DEVELOPMENT..."
        - echo $CI_COMMIT_REF_NAME
        - echo $CI_COMMIT_SHA
    only:
        - development

deploy-staging:
    stage: staging
    script:
        - echo "DEPLOYING TO staging..."
        - echo $CI_COMMIT_REF_NAME
        - echo $CI_COMMIT_SHA
    only:
        - /^v.*$/
    except:
        - branches

deploy-production:
    stage: production
    script:
        - echo "DEPLOYING TO P R O D U C T I O N..."
        - echo $CI_COMMIT_REF_NAME
        - echo $CI_COMMIT_SHA
    only:
        - /^v.*$/
    except:
        - branches
    when: manual

